# License: GPL-3.0-or-later
# (c) 2024 Dridi Boukelmoune <dridi.boukelmoune@gmail.com>

TSESS_DATA_HOME="${XDG_DATA_HOME:-$HOME/.local/share}/tsess"

_tsess_histdir() {
	[ -z "$TSESS" ] && return
	TSESS_HIST=$TSESS_DATA_HOME
	for dir in "$TSESS" "$TSESS_WINDOW" "$TSESS_PANE"
	do
		test -n "$dir" && TSESS_HIST="$TSESS_HIST/$dir"
	done
	HISTFILE="$TSESS_HIST.hist"
	mkdir -p "$(dirname "$HISTFILE")"
}

TSESS_BASH_PROFILE=${BASH_SOURCE[0]}
